Marcus Meissner
b264302d00
- Add back init scripts, systemd units aren't ready yet - Add python3-bind subpackage to allow python bind interactions - Sync configure options with RH package and remove unused ones * Enable python3 * Enable gssapi * Enable dnssec scripts - Drop idnkit from the build, the bind uses libidn since 2007 to run all the resolutions in dig/etc. bsc#1030306 - Add patch to make sure we build against system idn: * bind-99-libidn.patch - Refresh patch: * pie_compile.diff - Remove patches that are unused due to above: * idnkit-powerpc-ltconfig.patch * runidn.diff - drop bind-openssl11.patch (merged upstream) - Remove systemd conditionals as we are not building on sle11 anyway - Force the systemd to be base for the initscript deployment - Bump up version of most of the libraries - Rename the subpackages to match the version updates - Add macros for easier handling of the library package names - Drop more unneeded patches * dns_dynamic_db.patch (upstream) OBS-URL: https://build.opensuse.org/request/show/545259 OBS-URL: https://build.opensuse.org/package/show/network/bind?expand=0&rev=224
24 lines
750 B
Diff
24 lines
750 B
Diff
Index: contrib/scripts/named-bootconf.sh
|
|
===================================================================
|
|
--- contrib/scripts/named-bootconf.sh.orig 2017-08-15 13:08:41.636256254 +0200
|
|
+++ contrib/scripts/named-bootconf.sh 2017-08-15 13:08:42.516270950 +0200
|
|
@@ -38,7 +38,8 @@
|
|
# POSSIBILITY OF SUCH DAMAGE.
|
|
|
|
if [ ${OPTIONFILE-X} = X ]; then
|
|
- WORKDIR=/tmp/`date +%s`.$$
|
|
+ TMPDIR=`mktemp -p /tmp/ -d named-bootconf.XXXXXXXXXX` || exit 1
|
|
+ WORKDIR=$TMPDIR/`date +%s`.$$
|
|
( umask 077 ; mkdir $WORKDIR ) || {
|
|
echo "unable to create work directory '$WORKDIR'" >&2
|
|
exit 1
|
|
@@ -292,7 +293,7 @@ if [ $DUMP -eq 1 ]; then
|
|
cat $ZONEFILE $COMMENTFILE
|
|
|
|
rm -f $OPTIONFILE $ZONEFILE $COMMENTFILE
|
|
- rmdir $WORKDIR
|
|
+ rm -rf $TMPDIR
|
|
fi
|
|
|
|
exit 0
|